Ubuntu

java-atk-wrapper prevents java applications from starting

Reported by Peter Silva on 2012-02-18
150
This bug affects 28 people
Affects Status Importance Assigned to Milestone
java-atk-wrapper (Debian)
Fix Released
Unknown
java-atk-wrapper (Ubuntu)
High
BVBISE_B6
Precise
High
kavya
openjdk-6 (Ubuntu)
High
Unassigned
Precise
High
Unassigned
openjdk-7 (Ubuntu)
High
Unassigned
Precise
High
kavya

Bug Description

default java at command line is still java6. invoke java from command line, and minecraft fails to start, usually with no
message, but there is some variety. Most usual:

charles@basquette:~/Desktop$ java -jar ./minecraft.jar

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-oSohfHsLYR: Connection refused
charles@basquette:~/Desktop$

another case:

charles@basquette:~/Desktop$ java -jar ./minecraft.jar

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-oSohfHsLYR: Connection refused
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
java: ../../src/xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.
Aborted (core dumped)
charles@basquette:~/Desktop$

another version, as suggested by: http://ubuntuforums.org/showthread.php?p=11696963

is to invoke as root, yielding:

root@basquette:/home/charles/Desktop# java -jar ./minecraft.jar

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

** WARNING **: Unable to create Ubuntu Menu Proxy: The connection is closed

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-oSohfHsLYR: Connection refused
java.io.FileNotFoundException: /root/.minecraft/lastlogin (No such file or directory)
 at java.io.FileInputStream.open(Native Method)
 at java.io.FileInputStream.<init>(FileInputStream.java:137)
 at net.minecraft.LoginForm.readUsername(LoginForm.java:131)
 at net.minecraft.LoginForm.<init>(LoginForm.java:76)
 at net.minecraft.LauncherFrame.<init>(LauncherFrame.java:30)
 at net.minecraft.LauncherFrame.main(LauncherFrame.java:158)
 at net.minecraft.MinecraftLauncher.main(MinecraftLauncher.java:13)
^Croot@basquette:/home/charles/Desktop# exit

minecraft is stock .jar unchanged for several weeks/months

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: openjdk-6-jre 6b24-1.11.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
Uname: Linux 3.2.0-16-generic x86_64
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Sat Feb 18 09:39:32 2012
InstallationMedia: Ubuntu-Server 11.10 "Oneiric Ocelot" - Release amd64 (20111011)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: openjdk-6
UpgradeStatus: Upgraded to precise on 2012-01-15 (34 days ago)

Peter Silva (peter-bsqt) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
affects: ubuntu → openjdk-6 (Ubuntu)
syldeb35 (sylvain-debray) wrote :

Not specific to Minecraft.
When trying to launch arduino (from the repos) I get the followings errors.

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-wBTWuh3d61: Connexion refusée
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
java: ../../src/xcb_io.c :273 : poll_for_event: L'assertion « !xcb_xlib_threads_sequence_lost » a échoué.
/usr/bin/arduino : ligne 33 : 23708 Abandon (core dumped) java -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel processing.app.Base

java -showversion:

java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.1) (6b24-1.11.1-0ubuntu1)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)

NoNick (nonick37) wrote :

This seems to be fixed now on my system. Done nothing except for the daily update..

Alan Pope ㋛ (popey) wrote :

Still broken here after all updates applied.

NoNick (nonick37) wrote :

It did work yesterday, now it is back to not working :-(

Trying to retrace my steps yesterday. And I think I did install linux package (which updates the kernel etc.), to try if the newest kernel works. Somehow I need a specific kernel to get my laptop to hibernate/shutdown, all others seem to not work.. Well cannot really think of anything except for that.

Stinger (e-mindahl) wrote :

It seems that this bug is a duplicate of bug #934937

Georges Varouchas (gectesting) wrote :

Still present on my ubuntu precise after updating.

I can't launch netbeans 7.1, I get the following error msg during attempted launch :

"** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-<hash>: Connection refused"

Eclipse runs correctly.

It seems that the problem with /tmp/dbus-<hash> is discussed already in this bug https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/811441

If I restart dbus manualy I only get the second error with the assertion failed message.

Georges Varouchas (gectesting) wrote :

My bug (netbeans 7.1 doesn't start) is present when booting kernel 3.2.0.17, but disappears when booting kernel 3.1.1.

Are your bugs still present with kernel 3.1.1 ?

James Hunt (jamesodhunt) wrote :

This problem appears to be AT-SPI (accessibility) related. stracing netbeans 7.1 shows that the JVM is attempting to connect to a separate dbus session bus. However, the dbus daemon associated with that bus isn't running.

If you run "gnome-control-center", select "Universal Access", and enable a setting (for example the screen reader), you'll then find a number of new spi processes running including:

at-spi2-registryd ?
at-spi-bus-launcher
dbus-daemon (a 2nd instance specifically for at-spi seemingly).

If you now attempt to start netbeans, you'll find the JVM crashes with a core dump. Killing those processes returns us to the initial "Couldn't connect to accessibility bus:" warning. So, there seems to be a problem with openjdk's use of at-spi.

See bug 68714.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in at-spi2-core (Ubuntu):
status: New → Confirmed
Stinger (e-mindahl) wrote :

Re #11
Same crash type on bug #935296
Here is my output from terminal:

" java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.1) (6b24-1.11.1-0ubuntu1)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-6ryRGgXqPU: Connection refused

Xlib: sequence lost (0x10153 > 0x175) in reply type 0x1c!
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
java: ../../src/xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.

Luke Yelavich (themuso) wrote :

The question is whether java-atk-wrapper is completely preventing java applications from starting. If so, then it needs fixing. So far as I understand, java-atk-wrapper should not fail the running process if it can't find at-spi.

affects: at-spi2-core (Ubuntu) → java-atk-wrapper (Ubuntu)
NoNick (nonick37) wrote :

Not sure if it is helpfull, but when executing java -jar minecraft.jar in terminal in awesome wm, one gets the same errormessage:

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-DuXHixIghB: Connection refused

A big difference is however, minecraft window isnt closed, and game is playable. On my laptop (no guarantees that it works on all computers)

so if you are desperate to play minecraft, and want to try awesome and have never tried it before:

sudo apt-get install awesome
logout
sup+enter to open a terminal

NoNick (nonick37) wrote :

forgot the login to awesome part but that should be kind of obvious

Stinger (e-mindahl) wrote :

Both bug #937245 and bug #937611 seems to be infected with problem too, they both have:

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-YopiIO8uxv: Connection refused

** WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-dzW8RHCS9Q: Connection refused

Stinger (e-mindahl) wrote :

Bug #938623 could be a duplicate also

Xerxes Rånby (xranby) wrote :

I would like to investigate this:
where can I get the minecraft.jar?

Do i need a minecraft login to reproduce this bug?

Xerxes Rånby (xranby) wrote :

can someone try to remove/comment out the line

assistive_technologies=org.GNOME.Accessibility.AtkWrapper
in
/etc/java-6-openjdk/accessibility.properties

As a note, we need to have the AtkWrapper enabled to enable blind users to use Ubuntu so this bug definately needs to get fixed properly.

Ben Moudry (benm-l) wrote :

Commented out the line suggested by Xerxes in both /etc/java-6-openjdk (which allowed netbeans 7.01 to run) and /etc/java-7-openjdk (which allowed netbeans 7.1, manually installed, to run).

Thank you!

Alex Rybicki (alex-rybicki) wrote :

I followed Xerxes' instructions and am able to launch.

I also found that I was unable to log into the minecraft.net servers in the launcher screen. This appeared after the patch. My solution was to create a symbolic link /usr/lib/x86_64-linux-gnu/libsoftokn3.so pointing to file usr/lib/x86_64-linux-gnu/nns/libsoftokn3.so

Steve Langasek (vorlon) on 2012-02-23
Changed in java-atk-wrapper (Ubuntu):
importance: Undecided → High
Changed in openjdk-6 (Ubuntu):
importance: Undecided → High

I have had all the problems listed in the first post :(
I could however run Minecraft using sudo but I just tried Xerxes' solution and it all works fine now.

Thank you soooo much Xerxes!

Matthias Klose (doko) on 2012-02-23
Changed in openjdk-6 (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Changed in java-atk-wrapper (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Peter Silva (peter-bsqt) wrote :

works for me also.

Peter Silva (peter-bsqt) wrote :

I made the same change in openjdk-7 as well... just in case minecraft starts working under java 7 (that's a separate bug!)

nicomen (mendoza-pvv) wrote :

Same here with 12.04 updated as of today. Commenting out the line in /etc/java-6-openjdk/accessibility.properties let me use Java applets in Opera properly too.

Matthias Klose (doko) on 2012-02-24
summary: - minecraft fails to start after latest precise updates...
+ java-atk-wrapper prevents java applications from starting
Changed in openjdk-7 (Ubuntu Precise):
importance: Undecided → High
milestone: none → ubuntu-12.04-beta-2
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-6 - 6b24-1.11.1-2ubuntu2

---------------
openjdk-6 (6b24-1.11.1-2ubuntu2) precise; urgency=low

  * Make sure that the nss.cfg doesn't mention any library path.
    LP: #939361, #939419.
  * Disable the accessibility wrapper, doesn't work yet. LP: #935296.
  * ARM: Inline math functions, where asm instructions exist (taken from
    the trunk).
 -- Matthias Klose <email address hidden> Fri, 24 Feb 2012 15:00:34 +0100

Changed in openjdk-6 (Ubuntu Precise):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-7 - 7~u3-2.1-1ubuntu2

---------------
openjdk-7 (7~u3-2.1-1ubuntu2) precise; urgency=low

  * Make sure that the nss.cfg doesn't mention any library path.
    LP: #939361, #939419.
  * Disable the accessibility wrapper, doesn't work yet. LP: #935296.
 -- Matthias Klose <email address hidden> Fri, 24 Feb 2012 15:10:12 +0100

Changed in openjdk-7 (Ubuntu Precise):
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

reopening the jdk tasks since this change needs to be reverted once the atk is working.

Changed in openjdk-6 (Ubuntu Precise):
status: Fix Released → Triaged
Changed in openjdk-7 (Ubuntu Precise):
status: Fix Released → Triaged
tags: added: rls-mgr-p-tracking
Martin Pitt (pitti) on 2012-03-26
Changed in java-atk-wrapper (Ubuntu Precise):
milestone: ubuntu-12.04-beta-2 → ubuntu-12.04
Changed in openjdk-6 (Ubuntu Precise):
milestone: ubuntu-12.04-beta-2 → ubuntu-12.04
Changed in openjdk-7 (Ubuntu Precise):
milestone: ubuntu-12.04-beta-2 → ubuntu-12.04
Daniel Di Sarli (danieleds0) wrote :

Adruino problem fixed only after a `sudo apt-get install java7-jdk java7-runtime`

Daniel Di Sarli (danieleds0) wrote :

... and after first execution, it stopped working again.

[...]
7fd02fbce000-7fd02fbd6000 r-xp 00000000 08:06 694744 /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0
7fd02fbd6000-7fd02fdd6000 ---p 00008000 08:06 694744 /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0
7fd02fdd6000-7fd02fdd7000 r--p 00008000 08:06 694744 /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0
7fd02fdd7000-7fd02fdd8000 rw-p 00009000 08:06 694744 /usr/lib/x86_64-linux-gnu/libxcb-render.so.0.0.0Aborted (core dumped)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-6 - 6b24-1.11.3-1ubuntu0.11.04.1

---------------
openjdk-6 (6b24-1.11.3-1ubuntu0.11.04.1) natty-security; urgency=low

  * Backport OpenJDK 6b24/IcedTea 1.11.3 to natty.
  * debian/patches/java-access-bridge-security.patch: updated
  * debian/control.zero-jre: add powerpc arch back, to get empty
    transitional package
  * debian/rules: install README.Debian for openjdk-6-jre-zero to create
    empty transitional package and create package
  * debian/README.Debian: explain openjdk-6-jre-zero went away
  * regenerate debian/control

openjdk-6 (6b24-1.11.3-1ubuntu0.12.04.1) precise-security; urgency=low

  * SECURITY UPDATE: update to IcedTea 6 1.11.3
    - Security fixes:
      - S7079902, CVE-2012-1711: Refine CORBA data models
      - S7110720: Issue with vm config file loadingIssue with vm
        config file loading
      - S7143606, CVE-2012-1717: File.createTempFile should be improved
        for temporary files created by the platform.
      - S7143614, CVE-2012-1716: SynthLookAndFeel stability improvement
      - S7143617, CVE-2012-1713: Improve fontmanager layout lookup
        operations
      - S7143851, CVE-2012-1719: Improve IIOP stub and tie generation
        in RMIC
      - S7143872, CVE-2012-1718: Improve certificate extension
        processing
      - S7145239: Finetune package definition restriction
      - S7152811, CVE-2012-1723: Issues in client compiler
      - S7157609, CVE-2012-1724: Issues with loop
      - S7160677: missing else in fix for 7152811
      - S7160757, CVE-2012-1725: Problem with hotspot/runtime_classfile
    - Bug fixes:
      - PR1018: JVM fails due to SEGV during rendering some Unicode
        characters (part of 6886358)
  * Changelog, Makefile.am, aclocal.m4,
    arm_port/hotspot/src/cpu/zero/vm/asm_helper.cpp,
    patches/idresolver_fix.patch,
    patches/openjdk/6792400-Avoid_loading_Normalizer_resources.patch:
    drop inline changes, applied upstream
  * debian/patches/atk-wrapper-security.patch: updated
  * Makefile.{am,in}: don't apply patches/jtreg-LastErrorString.patch as
    it causes the testsuite runner to fail.
 -- Steve Beattie <email address hidden> Thu, 28 Jun 2012 12:11:43 -0700

Changed in openjdk-6 (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.8 KiB)

This bug was fixed in the package openjdk-7 - 7u9-2.3.3-0ubuntu1~11.10.1

---------------
openjdk-7 (7u9-2.3.3-0ubuntu1~11.10.1) oneiric-security; urgency=low

  * Build IcedTea7 2.3.3 for oneiric.

openjdk-7 (7u9-2.3.3-0ubuntu1) quantal-security; urgency=low

  * IcedTea7 2.3.3 release.
  * Security fixes
    - S6631398, CVE-2012-3216: FilePermission improved path checking.
    - S7093490: adjust package access in rmiregistry.
    - S7143535, CVE-2012-5068: ScriptEngine corrected permissions.
    - S7158796, CVE-2012-5070: Tighten properties checking in EnvHelp.
    - S7158807: Revise stack management with volatile call sites.
    - S7163198, CVE-2012-5076: Tightened package accessibility.
    - S7167656, CVE-2012-5077: Multiple Seeders are being created.
    - S7169884, CVE-2012-5073: LogManager checks do not work correctly for
      sub-types.
    - S7169887, CVE-2012-5074: Tightened package accessibility.
    - S7169888, CVE-2012-5075: Narrowing resource definitions in JMX RMI
      connector.
    - S7172522, CVE-2012-5072: Improve DomainCombiner checking.
    - S7186286, CVE-2012-5081: TLS implementation to better adhere to RFC.
    - S7189103, CVE-2012-5069: Executors needs to maintain state.
    - S7189490: More improvements to DomainCombiner checking.
    - S7189567, CVE-2012-5085: java net obselete protocol.
    - S7192975, CVE-2012-5071: Issue with JMX reflection.
    - S7195194, CVE-2012-5084: Better data validation for Swing.
    - S7195549, CVE-2012-5087: Better bean object persistence.
    - S7195917, CVE-2012-5086: XMLDecoder parsing at close-time should be
      improved.
    - S7195919, CVE-2012-5079: (sl) ServiceLoader can throw CCE without
      needing to create instance.
    - S7196190, CVE-2012-5088: Improve method of handling MethodHandles.
    - S7198296, CVE-2012-5089: Refactor classloader usage.
    - S7158800: Improve storage of symbol tables.
    - S7158801: Improve VM CompileOnly option.
    - S7158804: Improve config file parsing.
    - S7198606, CVE-2012-4416: Improve VM optimization.

openjdk-7 (7u7-2.3.2a-1ubuntu1) quantal; urgency=low

  * Build a transitional icedtea-7-jre-cacao package to ease upgrades.

openjdk-7 (7u7-2.3.2a-1) experimental; urgency=low

  * Upload to experimental.

openjdk-7 (7u7-2.3.2a-0ubuntu1) quantal; urgency=low

  * Repackage the source to drop the cacao tarball (and packaging files).
  * Depend again on system provided tzdata-java and restore the zi
    symlink on upgrade. LP: #1050404.
  * libgnome2-0, libgnomevfs2-0, libgconf2-4 are not prepared for multiarch.
    Don't depend on these so that openjdk-7 can be installed as a multiarch
    package.

openjdk-7 (7u7-2.3.2-1ubuntu2) quantal; urgency=low

  * Make the avian VM a known runtime.

openjdk-7 (7u7-2.3.2-1ubuntu1) quantal; urgency=low

  * Fix 32bit hotspot build, don't set maximal heap space lower than
    minimal heap space for the docs build.
  * d/p/sane-library-paths.patch, d/p/ant-diagnostics.diff,
    d/p/fix-race-cond-print.diff, d/p/gcc-hotspot-opt-O[02].diff,
    d/p/gcc-mtune-generic.diff, d/p/openjdk-6986968.diff: Remove, not used.
  * Remove unused shark/llvm-3.0 patches.
  * d/p/zero-only-use-floating-point-if...

Changed in openjdk-7 (Ubuntu):
status: Triaged → Fix Released
Changed in java-atk-wrapper (Debian):
status: Unknown → Fix Released
kavya (kavyamensin123) on 2013-09-04
Changed in java-atk-wrapper (Ubuntu):
assignee: nobody → kavya (kavyamensin123)
Changed in java-atk-wrapper (Ubuntu):
assignee: kavya (kavyamensin123) → BVBISE_B6 (b6bvbisemp2013)
kavya (kavyamensin123) on 2013-09-06
Changed in java-atk-wrapper (Ubuntu Precise):
assignee: nobody → kavya (kavyamensin123)
Changed in openjdk-7 (Ubuntu Precise):
assignee: nobody → kavya (kavyamensin123)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.